local _AddonName, _EchoRaidTools = ...;


local module = _EchoRaidTools:NewModule("todo-list")


---@param addonName string
function module:ADDON_LOADED(addonName)
    if (addonName ~= _AddonName) or (module.AddonLoaded) then return end
    module:LoadSettings()
    module.Initialize()
    module.AddonLoaded = true
end

function module:GetEditor()
    if true then
        return module.config:GetUserEditor()
    else
        return module:GetAdminEditor()
    end
end

function module:GetNavigationButtons()
end

function module:GetButtonInfo()
    return "To-Do List",
        4,
        function()
            return module:GetEditor()
        end,
        module:GetNavigationButtons()
end
